\version "2.19.80"

\header {
  title = "Sally Gardens"
  meter = "Air"
  enteredby = "kastdeur"
  number = "15"
  source = "Ireland's Best Tin Whistle Tunes Volume 1"
}

fine = {
  \once \override Score.RehearsalMark #'break-visibility = #end-of-line-visible
  \once \override Score.RehearsalMark #'self-alignment-X = #RIGHT
  \mark \markup \small "Fine"
}
capo = {
  \once \override Score.RehearsalMark #'break-visibility = #end-of-line-visible
  \once \override Score.RehearsalMark #'self-alignment-X = #RIGHT
  \mark \markup \small "Da Capo"
}

global = {
  \key d \major
  \time 4/4
}

bpm = \tempo 2 = 50

fluteA = \relative c'' {
  % Muziek volgt hier.
  d,8 e |
  fis4 e8 d e4 fis8 a |
  b2 a4 \breathe d8 a |
  b4 a8 fis e4. d8 |
  d2. \breathe
  
}
fluteBA = \relative c'' {
  a4 |
  d4 cis8 a b4 d4 |
  cis4. b8 a4 fis8 a |
  b4 a8 fis a8 b  d8 e |
  d2. \breathe
  
}

flute = \relative c'' {
  \global
  \repeat volta 2 {\partial 4 \fluteA \tag #'midiRemove { s4\fine } }
  \break 
  \partial 4 \fluteBA \tag #'midiRemove { s4 \capo \bar "||" }
  \tag #'printRemove { \fluteA \bar "|." }
}


chordA = \chordmode {
  d4 |
  d2 a2 g2 d2 g2 a2 d2.
}
chordBA = \chordmode {
  d4 |
  b1:m fis1:m g2 a2 d2.
}
chordNames = \chordmode {
  \global
  % Akkoordnamen volgen.
  \repeat volta 2 {\partial 4 \chordA \tag #'midiRemove s4 }
  \partial 4 \chordBA \tag #'midiRemove s4
  \tag #'printRemove \chordA
}

chordsPart = \new ChordNames \with {
  chordChanges = ##t
} \chordNames

flutePart = \new Staff \with {
  instrumentName = "Fl."
  midiInstrument = "flute"
} \flute

\score {
  \removeWithTag #'printRemove <<
    \chordsPart
    \flutePart
  >>
  \layout { }
}

\score {
  \unfoldRepeats \removeWithTag #'midiRemove <<
    \chordsPart
    \flutePart
  >>
  \midi {
	\bpm
  }
}
